Function
range
Returns the suffix array interval borders of occurences of representative substring or a q-gram in the index text.
range(iterator)
range(index, shape)
Include Headers
seqan/index.h
Parameters

iterator | An iterator of a suffix tree. Types: VSTree Iterator
index | A q-gram index. Types: IndexQGram
shape | A shape object. Note: The shape stores the q-gram of the last call to hash or hashNext. Types: Shape

Return Values
All positions where a substring occurs in the text (see EsaText) are stored in a contiguous range of the suffix array. range returns begin and end position of this range for occurrences of representative. If iterator's container type is TIndex the return type is Pair<Size<TIndex>::Type>.
All positions where the q-gram stored in shape occurs in the text (see QGramText) are stored in a contiguous range of the suffix array. range returns begin and end position of this range. If the type of index is TIndex the return type is Pair<Size<TIndex>::Type>.
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:48